ddenseMatrix-class {Matrix} | R Documentation

## Virtual Class "ddenseMatrix" of Numeric Dense Matrices

### Description

This is the virtual class of all dense numeric (i.e., double, hence “ddense”) S4 matrices.

Its most important subclass is the `dgeMatrix` class.

### Extends

Class `"dMatrix"` directly; class `"Matrix"`, by the above.

### Slots

the same slots at its subclass `dgeMatrix`, see there.

### Methods

Most methods are implemented via `as(*, "dgeMatrix")` and are mainly used as “fallbacks” when the subclass doesn't need its own specialized method.

Use `showMethods(class = "ddenseMatrix", where = "package:Matrix")` for an overview.

### See Also

The virtual classes `Matrix`, `dMatrix`, and `dsparseMatrix`.

### Examples

    showClass("ddenseMatrix")

    showMethods(class = "ddenseMatrix", where = "package:Matrix")

[Package Matrix version 1.0-6 Index]